package com.rthoni.intellij.codefromds.dbo.template;

import java.util.List;

/**
 * Created by robin on 11/18/16.
 */
public class TableDataSourceDbo {
    private String _name;

    private List<ColumnDataSourceDbo> _columns;

    private List<ColumnDataSourceDbo> _primaryKeys;

    private List<ForeignKeyDbo> _sourceForeignKeys;

    private List<ForeignKeyDbo> _targetForeignKeys;

    private boolean _hasAny;

    public String getName() {
        return _name;
    }

    public void setName(String name) {
        _name = name;
    }

    public List<ColumnDataSourceDbo> getColumns() {
        return _columns;
    }

    public void setColumns(List<ColumnDataSourceDbo> columns) {
        _columns = columns;
    }

    public List<ColumnDataSourceDbo> getPrimaryKeys() {
        return _primaryKeys;
    }

    public void setPrimaryKeys(List<ColumnDataSourceDbo> primaryKeys) {
        _primaryKeys = primaryKeys;
    }

    public boolean hasAny() {
        return _hasAny;
    }

    public void setHasAny(boolean hasAny) {
        _hasAny = hasAny;
    }

    public List<ForeignKeyDbo> getSourceForeignKeys() {
        return _sourceForeignKeys;
    }

    public void setSourceForeignKeys(List<ForeignKeyDbo> sourceForeignKeys) {
        _sourceForeignKeys = sourceForeignKeys;
    }

    public List<ForeignKeyDbo> getTargetForeignKeys() {
        return _targetForeignKeys;
    }

    public void setTargetForeignKeys(List<ForeignKeyDbo> targetForeignKeys) {
        _targetForeignKeys = targetForeignKeys;
    }
}
